from cmk.gui.valuespec import (
    Integer,
    Float,
    Dictionary,
)

from cmk.gui.plugins.wato import (
    CheckParameterRulespecWithoutItem,
    rulespec_registry,
    RulespecGroupCheckParametersApplications,
)

def _parameter_valuespec_sonicwall_cpu():
    return Dictionary(
            help=("This rule sets limits to the current cpu usage of "
                "a Sonicwall firewall."),
            title=("Maximum percent of firewall cpu usage"),
            elements=[
                ("warn", Float(title=("Warning at"), unit=u"%")),
                ("crit", Float(title=("Critical at"), unit=u"%")),
                ],
            )

rulespec_registry.register(
        CheckParameterRulespecWithoutItem(
            check_group_name="sonicwall_cpu",
            group=RulespecGroupCheckParametersApplications,
            parameter_valuespec=_parameter_valuespec_sonicwall_cpu,
            title=lambda: _("SonicWall Firewall CPU"),
        ))
