from cmk.gui.valuespec import (
    Integer,
    Float,
    Dictionary,
)

from cmk.gui.plugins.wato import (
    CheckParameterRulespecWithoutItem,
    rulespec_registry,
    RulespecGroupCheckParametersApplications,
)

def _parameter_valuespec_sonicwall_mem():
    return Dictionary(
            help=("This rule sets limits to the current mem usage of "
                "a Sonicwall firewall."),
            title=("Maximum percent of firewall mem usage"),
            elements=[
                ("warn", Float(title=("Warning at"), unit=u"%")),
                ("crit", Float(title=("Critical at"), unit=u"%")),
                ],
            )

rulespec_registry.register(
        CheckParameterRulespecWithoutItem(
            check_group_name="sonicwall_mem",
            group=RulespecGroupCheckParametersApplications,
            parameter_valuespec=_parameter_valuespec_sonicwall_mem,
            title=lambda: _("SonicWall Firewall MEM"),
        ))
